- page_title _('Your profile')
- onboarding_issues_experiment_enabled = experiment_enabled?(:onboarding_issues)

.row.flex-grow-1.bg-gray-light
  .d-flex.flex-column.align-items-center.w-100.gl-p-3-deprecated-no-really-do-not-use-me
    .edit-profile.login-page.d-flex.flex-column.align-items-center.pt-lg-3
      - if in_subscription_flow? || (onboarding_issues_experiment_enabled && !in_invitation_flow? && !in_oauth_flow?)
        #progress-bar{ data: { is_in_subscription_flow: in_subscription_flow?.to_s, is_onboarding_issues_experiment_enabled: onboarding_issues_experiment_enabled.to_s } }
      %h2.center= _('Welcome to GitLab.com<br>@%{name}!').html_safe % { name: html_escape(current_user.first_name) }
      %p
        .center= _('In order to personalize your experience with GitLab<br>we would like to know a bit more about you.').html_safe

      = form_for(current_user, url: users_sign_up_update_registration_path, html: { class: 'card w-100 gl-p-3-deprecated-no-really-do-not-use-me', 'aria-live' => 'assertive' }) do |f|
        .devise-errors
          = render 'devise/shared/error_messages', resource: current_user
        .row
          .form-group.col-sm-12
            = f.label :role, _('Role'), class: 'label-bold'
            = f.select :role, ::User.roles.keys.map { |role| [role.titleize, role] }, {}, class: 'form-control input-lg', autofocus: true
            .form-text.text-muted= _('This will help us personalize your onboarding experience.')
        .row
          .form-group.col-sm-12
            = f.label :setup_for_company, setup_for_company_label_text, class: 'label-bold'
            .d-flex.flex-column.flex-lg-row
              .flex-grow-1
                = f.radio_button :setup_for_company, true
                = f.label :setup_for_company, _('My company or team'), class: 'normal', value: 'true'
              .flex-grow-1
                = f.radio_button :setup_for_company, false
                = f.label :setup_for_company, _('Just me'), class: 'normal', value: 'false'
        .row
          .form-group.col-sm-12.mb-0
            = button_tag class: %w[btn btn-success w-100] do
              = in_subscription_flow? || in_trial_flow? || (onboarding_issues_experiment_enabled && !in_invitation_flow? && !in_oauth_flow?) ? _('Continue') : _('Get started!')
